<?php
////////////////////////////////////////////////////////////////////////////////
// Global Define
////////////////////////////////////////////////////////////////////////////////
// do not change this, its for translation and options string
define('TEMPLATE_DOMAIN', 'preco'); 
define('TEMPLATE_OPTIONS', TEMPLATE_DOMAIN . '_theme_options');
define ('TEMPLATE_ICONS', 'fa-plus-square-o');

////////////////////////////////////////////////////////////////////////////////
// Set up the content width value based on the theme's design and stylesheet.
////////////////////////////////////////////////////////////////////////////////

if ( ! isset( $content_width ) )
	$content_width = 800;

////////////////////////////////////////////////////////////////////////////////
// Global Setup
////////////////////////////////////////////////////////////////////////////////
function mptheme_setup() { 
//Add Language Support
load_theme_textdomain( TEMPLATE_DOMAIN, get_template_directory() . '/languages' );
add_editor_style();
add_theme_support( 'automatic-feed-links' );
add_theme_support( 'html5', array('search-form', 'comment-form', 'comment-list') );
add_theme_support( 'menus' );
register_nav_menus( array(
'top' => __( 'Top Menu', TEMPLATE_DOMAIN ),
'primary' => __( 'Primary Menu', TEMPLATE_DOMAIN ),
'footer' => __( 'Footer Menu', TEMPLATE_DOMAIN ),
));
//Default Fallback Primary Menu
function default_wp_menu($args) {
$pages_args = array(
		'depth'      	=> 0,
		'sort_column' 	=> 'menu_order, post_title',
		'echo'      	=> false,
		'show_home' 	=> true
);
$menu = wp_page_menu( $pages_args );
$menu = str_replace( array( '<div class="menu"><ul>', '</ul></div>' ), array( '<ul class="sf-menu">', '</ul>' ), $menu );
echo $menu;
}

// Custom background
add_theme_support( 'custom-background', array(
	'default-color'          => '',
	'default-image'          => '%1$s/images/bg.gif',
	'default-repeat'         => '',
	'default-position-x'     => '',
	'wp-head-callback'       => '_custom_background_cb',
	'admin-head-callback'    => '',
	'admin-preview-callback' => ''
));


// Custom Header
add_theme_support( 'custom-header', array(
		'default-image'          => '',
		'random-default'         => false,
		'width'                  => 1310,
		'height'                 => 200,
		'flex-height'            => true,
		'flex-width'             => true,
		'default-text-color'     => '',
		'header-text'            => false,
		'uploads'                => true,
		'wp-head-callback'       => '',
		'admin-head-callback'    => '',
		'admin-preview-callback' => '',
));


// Standard post thumbnails
add_theme_support( 'post-thumbnails' );
//set_post_thumbnail_size( 150, 150 );
// Custom size post thumbnails
add_theme_support( 'add_image_size' );
//add_image_size( 'post-home', 180, 180, array( 'right', 'top' ) );
add_image_size( 'featcat-1', 100, 100, true );
add_image_size( 'featcat-2', 200, 100, true );
}
add_action( 'after_setup_theme', 'mptheme_setup' );

////////////////////////////////////////////////////////////////////////////////
// Load Theme Styles and Javascripts
///////////////////////////////////////////////////////////////////////////////
/*--------------------------load styles--------------------------------------*/
function mptheme_load_styles() {
	global $theme_version,$paged;
	wp_enqueue_style( 'superfish', get_template_directory_uri(). '/lib/scripts/superfish-menu/superfish.css', array(), $theme_version );
	wp_enqueue_style( 'normalize', get_template_directory_uri(). '/lib/scripts/normalize.css', array(), $theme_version );
	if ( ( is_home() && is_front_page() && ($paged < 1) ) && get_theme_option('slider_on') == 'Enable'  ) { 
	wp_enqueue_style( 'jd-gallery', get_template_directory_uri(). '/lib/scripts/jd-gallery/jd.gallery.css', array(), $theme_version );
	}
	wp_enqueue_style( 'fontawesome', '//netdna.bootstrapcdn.com/font-awesome/4.1.0/css/font-awesome.min.css', array(), '4.1.0' );
}
add_action( 'wp_enqueue_scripts', 'mptheme_load_styles' );

/*--------------------------load js scripts--------------------------------------*/

function mptheme_load_scripts() {
	global $theme_version,$paged,$is_IE;
	wp_enqueue_script("jquery");
	wp_enqueue_script("hoverIntent");
	wp_enqueue_script( 'modernizr', get_template_directory_uri(). '/lib/scripts/modernizr.js', array(), '2.8.2', $theme_version, true );
	wp_enqueue_script( 'superfish', get_template_directory_uri(). '/lib/scripts/superfish-menu/superfish.js', array(), '1.7.4', $theme_version, true );
	if ( ( is_home() && is_front_page() && ($paged < 1) ) && get_theme_option('slider_on') == 'Enable'  ) { 
	wp_enqueue_script('mootools', get_template_directory_uri(). '/lib/scripts/jd-gallery/mootools.js', array(), $theme_version, '1.11', true );
	wp_enqueue_script('jd-gallery2', get_template_directory_uri(). '/lib/scripts/jd-gallery/jd.gallery.js', array(), $theme_version, '2.0', true );
	}
	if($is_IE): 
	wp_enqueue_script('html5shiv', get_template_directory_uri(). '/lib/scripts/html5shiv.js', array(), $theme_version, '3.7.2', false );
	endif;
	wp_enqueue_script('custom', get_template_directory_uri(). '/lib/scripts/custom.js', array(), $theme_version, true );
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
	wp_enqueue_script( 'comment-reply' );
}
add_action( 'wp_enqueue_scripts', 'mptheme_load_scripts' );

///////////////////////////////////////////////////////////////////////////////
// Load Theme Cusrom Style
///////////////////////////////////////////////////////////////////////////////

function theme_custom_style_init() {
global $theme_version,$is_IE;
if($is_IE): ?>
<!--[if gte IE 9]><style type="text/css">.post-image img:hover, #main-header, #footer-widget {filter:none;}</style><![endif]-->
<?php endif; ?>
<?php print '<style type="text/css" media="all">' . "\n"; ?>
<?php get_template_part ( '/lib/functions/css-functions' ); ?>
<?php if( get_theme_option('custom_css') ): ?><?php echo get_theme_option('custom_css'); ?><?php endif; ?>
<?php print "\n" . '</style>' . "\n"; ?>
<?php }
add_action('wp_head','theme_custom_style_init');

///////////////////////////////////////////////////////////////////////////////
// Load Theme Default Fonts
///////////////////////////////////////////////////////////////////////////////
/*---------------------------load google webfont style--------------------------------------*/
function mp_theme_load_gwf_styles() {
if( get_theme_option('body_font') == 'Choose a font' || get_theme_option('body_font') == '') {
wp_register_style('default-body', 'http://fonts.googleapis.com/css?family=Roboto:300,300i,400,400i,500,500i,700,700i,900,900i');
wp_enqueue_style('default-body');
}
}
add_action('wp_enqueue_scripts', 'mp_theme_load_gwf_styles');

////////////////////////////////////////////////////////////////////////////////
// Add Theme Custom Functions
////////////////////////////////////////////////////////////////////////////////
include( get_template_directory() . '/lib/functions/theme-functions.php' );
include( get_template_directory() . '/lib/functions/widget-functions.php' );
include( get_template_directory() . '/lib/functions/option-functions.php' );
?>