<?php function theme_footer_v() { if (!(function_exists("check_theme_credits") && function_exists("check_theme_header"))) { theme_deactivated(); die; }} ?>
<!DOCTYPE html>
<!--[if IE 7]><html class="ie ie7" <?php language_attributes(); ?>><![endif]-->
<!--[if IE 8]><html class="ie ie8" <?php language_attributes(); ?>><![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!--><html <?php language_attributes(); ?>><!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<?php global $is_IE; if($is_IE): ?><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><?php endif; ?>
<?php if( wp_is_mobile()) { ?><meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=no">
<meta name="HandheldFriendly" content="true"><?php } ?>
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<link href="<?php echo get_template_directory_uri(); ?>/style.css" rel="stylesheet" type="text/css" media="all">
<?php if( get_theme_option('fav_icon') ) { ?><link rel="icon" href="<?php echo get_theme_option('fav_icon'); ?>" type="images/x-icon" /><?php } ?>
<?php $header_code = get_theme_option('header_code'); echo stripcslashes($header_code); ?>
<?php wp_head(); ?>
</head>

<body id="custom" <?php body_class(); ?>>

<div id="wrapper">

<?php if ( has_nav_menu( 'top' ) ) { ?>
<nav id="top-menu" class="inner clearfix" role="navigation">
<?php wp_nav_menu( array( 
'theme_location' => 'top', 
'container' => false,
'menu_class' => 'sf-menu', 
'menu_id' => false, 
'fallback_cb' => false ) 
); ?></nav><!-- TOP MENU END -->
<?php } ?>

<header id="main-header" class="inner clearfix" role="banner">
<div id="site-info">
<?php if ( get_theme_option('header_logo') == '' && get_theme_option('logo_on') != 'Disable' ) { ?>
<div id="site-logo"><a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><i class="fa fa-cloud-download fa-4x"></i></a></div><!-- SITE LOGO END -->
<?php } else if ( get_theme_option('header_logo') != '' && get_theme_option('logo_on') != 'Disable' )  { ?>
<div id="site-logo"><a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><img src="<?php echo get_theme_option('header_logo'); ?>" alt="<?php bloginfo('name'); ?>"></a></div><!-- SITE LOGO END -->
<?php } ?>
<?php if ( get_theme_option('siteinfo_on') != 'Disable' ) { ?>
<<?php if( !is_singular()) { echo 'h1'; } else { echo 'div'; } ?> id="site-title"><a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></<?php if( !is_singular()) { echo 'h1'; } else { echo 'div'; } ?>><!-- SITE TITLE END -->
<div id="site-description"><?php bloginfo( 'description' ); ?></div><!-- SITE DESCRIPTION END -->
<?php } ?>
</div><!-- SITE INFO END  -->
<?php if( get_theme_option('header_banner') != '' ) { ?>
<div id="site-banner"><?php echo get_theme_option('header_banner'); ?></div><!-- SITE BANNER END  -->
<?php } ?>
</header><!-- MAIN HEADER END  -->

<nav id="primary-menu" class="inner clearfix" role="navigation">
<?php wp_nav_menu( array( 
'theme_location' => 'primary', 
'container' => false, 
'menu_class' => 'sf-menu', 
'menu_id' => false, 
'fallback_cb' => 'default_wp_menu', 
'walker' => new Custom_Description_Walker 
)); ?>
<div id="mobile-nav">
<?php get_mobile_navigation( $type='top', $nav_name="primary" ); ?>
</div><!-- MOBILE NAVIGATION END -->
</nav><!-- PRIMARY MENU END  -->

<?php if ( get_header_image() ) { ?>
<div id="custom-header" class="inner clearfix">
<img src="<?php header_image(); ?>" class="header-image" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" border="0" alt="<?php bloginfo('name'); ?>" />
</div><!-- CUSTOM HEADER END -->
<?php } ?>

<div id="main-content" class="inner-m clearfix">
<?php if( !is_home() && !is_404() ) { get_template_part( 'lib/templates/breadcrumbs' ); } ?>