<?php

////////////////////////////////////////////////////////////////////////////////
// Sidebar Widget
////////////////////////////////////////////////////////////////////////////////
function mptheme_widgets_init() {
	
    register_sidebar(array(
    'name'=>__('Sidebar Left', TEMPLATE_DOMAIN),
    'id' => 'sidebar-left',
	'description' => __( 'Sidebar Left - Widget Area', TEMPLATE_DOMAIN ),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget' => '</aside>',
	'before_title' => '<h3 class="widget-title"><i class="fa ' . TEMPLATE_ICONS .'"></i>',
	'after_title' => '</h3>',
	));
	
    register_sidebar(array(
    'name'=>__('Sidebar Right (Main Column)', TEMPLATE_DOMAIN),
    'id' => 'sidebar-right',
	'description' => __( 'Sidebar Right - Main Column Widget Area', TEMPLATE_DOMAIN ),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget' => '</aside>',
	'before_title' => '<h3 class="widget-title"><i class="fa ' . TEMPLATE_ICONS .'"></i>',
	'after_title' => '</h3>',
	));
	
    register_sidebar(array(
    'name'=>__('Sidebar Right (Left Column)', TEMPLATE_DOMAIN),
    'id' => 'sidebar-right-1',
	'description' => __( 'Sidebar Right - Left Column Widget Area', TEMPLATE_DOMAIN ),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget' => '</aside>',
	'before_title' => '<h3 class="widget-title"><i class="fa ' . TEMPLATE_ICONS .'"></i>',
	'after_title' => '</h3>',
	));
	
    register_sidebar(array(
    'name'=>__('Sidebar Right (Right Column)', TEMPLATE_DOMAIN),
    'id' => 'sidebar-right-2',
	'description' => __( 'Sidebar Right - Right Column Widget Area', TEMPLATE_DOMAIN ),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget' => '</aside>',
	'before_title' => '<h3 class="widget-title"><i class="fa ' . TEMPLATE_ICONS .'"></i>',
	'after_title' => '</h3>',
	));
	
    register_sidebar(array(
    'name'=>__('Footer 1st Column', TEMPLATE_DOMAIN),
    'id' => 'footer-widget-1',
	'description' => __( 'Footer Widget - 1st Column Widget Area', TEMPLATE_DOMAIN ),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget' => '</aside>',
	'before_title' => '<h3 class="widget-title">',
	'after_title' => '</h3>',
	));
	
   register_sidebar(array(
    'name'=>__('Footer 2nd Column', TEMPLATE_DOMAIN),
    'id' => 'footer-widget-2',
	'description' => __( 'Footer Widget - 2nd Column Widget Area', TEMPLATE_DOMAIN ),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget' => '</aside>',
	'before_title' => '<h3 class="widget-title">',
	'after_title' => '</h3>',
	));
	
   register_sidebar(array(
    'name'=>__('Footer 3rd Column', TEMPLATE_DOMAIN),
    'id' => 'footer-widget-3',
	'description' => __( 'Footer Widget - 3rd Column Widget Area', TEMPLATE_DOMAIN ),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget' => '</aside>',
	'before_title' => '<h3 class="widget-title">',
	'after_title' => '</h3>',
	));

}
add_action( 'widgets_init', 'mptheme_widgets_init' );

//////////////////////////////////////////////////////////////////////////////////
////custom most commented post widget
///////////////////////////////////////////////////////////////////////////////////
class mptheme_most_comments extends WP_Widget {
function mptheme_most_comments() {
//Constructor
parent::WP_Widget(false, $name = ucfirst(TEMPLATE_DOMAIN) . ' | Most Comments', array(
'description' => __('Display your most commented posts.', TEMPLATE_DOMAIN)
));
}
function widget($args, $instance) {
// outputs the content of the widget
extract($args); // Make before_widget, etc available.
$mc_name = empty($instance['title']) ? __('Most Comments', TEMPLATE_DOMAIN) : apply_filters('widget_title', $instance['title']);

$mc_number = ( ! empty( $instance['number'] ) ) ? absint( $instance['number'] ) : 5; if ( ! $mc_number ) $mc_number = 5;
$mc_comment_count = $instance['commentcount'];

$unique_id = $args['widget_id'];

global $wpdb, $post;
$mostcommenteds = $wpdb->get_results("SELECT $wpdb->posts.ID, post_title, post_name, post_date, COUNT($wpdb->comments.comment_post_ID) AS 'comment_total' FROM $wpdb->posts LEFT JOIN $wpdb->comments ON $wpdb->posts.ID = $wpdb->comments.comment_post_ID WHERE comment_approved = '1' AND post_date_gmt < '" . gmdate("Y-m-d H:i:s") . "' AND post_status = 'publish' AND post_password = '' GROUP BY $wpdb->comments.comment_post_ID ORDER  BY comment_total DESC LIMIT $mc_number");
  echo $before_widget;
  echo $before_title . $mc_name . $after_title;
  echo "<ul class='most-commented'> ";
  foreach ($mostcommenteds as $post) {
    $post_title = htmlspecialchars(stripslashes($post->post_title));
    $comment_total = (int) $post->comment_total;
    echo "<li><a href=\"" . get_permalink() . "\">$post_title</a>";
    if($mc_comment_count == 'yes') {
    echo "&nbsp;<span class='total-com'>($comment_total)</span>";
    }
    echo "</li>";
  }
  echo "</ul> ";
  echo $after_widget;
}
function update($new_instance, $old_instance) {
//update and save the widget
return $new_instance;
}
function form($instance) {
// Get the options into variables, escaping html characters on the way
$mc_name = isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';
$mc_number = isset( $instance['number'] ) ? absint( $instance['number'] ) : 5;
$mc_comment_count = isset( $instance['commentcount'] ) ? esc_attr( $instance['commentcount'] ) : 'yes';
?>
<p>
<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Name for most comment(optional):', TEMPLATE_DOMAIN);?>
<input id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" class="widefat" value="<?php echo $mc_name;?>" /></label></p>

<p>
<label for="<?php echo $this->get_field_id('number'); ?>"><?php _e('Total to show: ', TEMPLATE_DOMAIN);?>
<input id="<?php echo $this->get_field_id('number'); ?>" name="<?php echo $this->get_field_name('number'); ?>" type="text" class="widefat" value="<?php echo $mc_number;?>" /></label>
</p>

<p>
<label for="<?php echo $this->get_field_id('commentcount'); ?>"><?php _e('Show comments count:', TEMPLATE_DOMAIN); ?></label>
<select id="<?php echo $this->get_field_id('commentcount'); ?>" name="<?php echo $this->get_field_name('commentcount'); ?>">
<option<?php if($mc_comment_count == 'yes') { echo " selected='selected'"; } ?> name="<?php echo $this->get_field_name('commentcount'); ?>" value="yes"><?php _e('yes', TEMPLATE_DOMAIN); ?></option>
<option<?php if($mc_comment_count == 'no') { echo " selected='selected'"; } ?> name="<?php echo $this->get_field_name('commentcount'); ?>" value="no"><?php _e('no', TEMPLATE_DOMAIN); ?></option>
</select>
</p>

<?php
}
}
register_widget('mptheme_most_comments');


///////////////////////////////////////////////////////////////////////////////////
////wordpress and buddypress recent comment widget
///////////////////////////////////////////////////////////////////////////////////
class mptheme_recent_comments extends WP_Widget {
function mptheme_recent_comments() {
//Constructor
parent::WP_Widget(false, $name = ucfirst(TEMPLATE_DOMAIN) . ' | Recent Comments', array(
'description' => __('Display your recent comments with user avatar.', TEMPLATE_DOMAIN)
));
}
function widget($args, $instance) {
// outputs the content of the widget
extract($args); // Make before_widget, etc available.
$rc_name = empty($instance['title']) ? __('Recent Comments', TEMPLATE_DOMAIN) : apply_filters('widget_title', $instance['title']);

$rc_avatar = $instance['avatar_on'];
$rc_number = ( ! empty( $instance['number'] ) ) ? absint( $instance['number'] ) : 5; if ( ! $rc_number ) $rc_number = 5;

$unique_id = $args['widget_id'];

global $wpdb;

$sql = "SELECT DISTINCT ID, post_title, post_password, comment_ID,
comment_post_ID, comment_author, comment_author_email, comment_date_gmt, comment_approved,
comment_type,comment_author_url,
SUBSTRING(comment_content,1,45) AS com_excerpt
FROM $wpdb->comments
LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID =
$wpdb->posts.ID)
WHERE comment_approved = '1' AND comment_type = '' AND
post_password = ''
ORDER BY comment_date_gmt DESC LIMIT $rc_number";

$comments = $wpdb->get_results($sql);
echo $before_widget;
echo $before_title . $rc_name . $after_title;
echo "<ul class='gravatar_recent_comment'>";
foreach ($comments as $comment) {
$grav_email = $comment->comment_author_email;
?>
<li>
<?php if($rc_avatar == 'yes') {  ?><?php echo get_avatar($grav_email, 40); ?><?php } ?>
<div class="gravatar-meta">
<span class="author"><?php echo strip_tags($comment->comment_author); ?></span>
<span class="comment"><a href="<?php echo get_permalink($comment->ID); ?>#comment-<?php echo $comment->comment_ID; ?>" title="on <?php echo $comment->post_title; ?>"><?php echo strip_tags($comment->com_excerpt); ?>...</a></span>
</div>
</li>
<?php
}
echo "</ul> ";
echo $after_widget;
?>
<?php }

function update($new_instance, $old_instance) {
//update and save the widget
return $new_instance;
}
function form($instance) {
// Get the options into variables, escaping html characters on the way
$rc_name = isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';
$rc_number = isset( $instance['number'] ) ? absint( $instance['number'] ) : 5;
$rc_avatar = isset( $instance['avatar_on'] ) ? esc_attr( $instance['avatar_on'] ) : 'yes';
?>

<p>
<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Name for recent comment(optional):', TEMPLATE_DOMAIN); ?>
<input id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" class="widefat" value="<?php echo $rc_name; ?>" /></label></p>

<p>
<label for="<?php echo $this->get_field_id('avatar_on'); ?>"><?php _e('Enable avatar?:', TEMPLATE_DOMAIN); ?></label>
<select id="<?php echo $this->get_field_id('avatar_on'); ?>" name="<?php echo $this->get_field_name('avatar_on'); ?>">
<option<?php if($rc_avatar == 'yes') { echo " selected='selected'"; } ?> name="<?php echo $this->get_field_name('avatar_on'); ?>" value="yes"><?php _e('yes', TEMPLATE_DOMAIN); ?></option>
<option<?php if($rc_avatar == 'no') { echo " selected='selected'"; } ?> name="<?php echo $this->get_field_name('avatar_on'); ?>" value="no"><?php _e('no', TEMPLATE_DOMAIN); ?></option>
</select>
</p>

<p>
<label for="<?php echo $this->get_field_id('number'); ?>"><?php _e('Total to show:', TEMPLATE_DOMAIN); ?>
<input id="<?php echo $this->get_field_id('number'); ?>" name="<?php echo $this->get_field_name('number'); ?>" type="text" class="widefat" value="<?php echo $rc_number; ?>" /></label></p>

<?php
}
}
register_widget('mptheme_recent_comments');

///////////////////////////////////////////////////////////////////////////////////
///// CUSTOM WIDGET - FEATURED SIDEBAR
///////////////////////////////////////////////////////////////////////////////////
class MP_FeatSidebar_Widget extends WP_Widget {
	function MP_FeatSidebar_Widget() {
		// widget actual processes
		parent::WP_Widget(false, $name = ucfirst(TEMPLATE_DOMAIN) . ' | Featured Category', array(
		'description' => __('Display category posts.', TEMPLATE_DOMAIN)
		));
	}
	function widget($args, $instance) {
	// outputs the content of the widget
	global $post;
	
	extract( $args );
	
	$featcattitle = ( ! empty( $instance['title'] ) ) ? $instance['title'] : __( 'Featured Category', TEMPLATE_DOMAIN );
	
	$featcattitle = apply_filters('widget_title', esc_attr($instance['title']));
	
	$featcatname = get_cat_name($instance['category']);
	
	$featcategory = (is_numeric($instance['category']) ? (int)$instance['category'] : '');
	
	$featposts = ( ! empty( $instance['number'] ) ) ? absint( $instance['number'] ) : 5;
 
	echo '<aside class="widget widget_featbar">';
	echo $before_title . $featcatname . $after_title;
 	echo '<ul>';
	echo "\n";
    // Output widget, if a post exists that matches our query
	$my_query = new WP_Query('cat='. $featcategory . '&' . 'showposts=' . $featposts);
	while ($my_query->have_posts()) : $my_query->the_post(); $do_not_duplicate = $post->ID; 						 
	echo '<li class="sidepost-' . $post->ID .' clearfix">';
	if ( '' != get_the_post_thumbnail() ) {
	echo '<div class="post-image"><a href="' . get_permalink() . '" title="' . get_the_title() . '">';
	echo get_the_post_thumbnail($post->ID, 'featcat-1', array('class' => 'alignright'));
	echo get_the_post_thumbnail($post->ID, 'featcat-2', array('class' => 'aligncenter'));
	echo get_the_post_thumbnail($post->ID, 'large', array('class' => 'mobile'));
	echo '</a></div>';	
	}
	echo '<h2><a href="' . get_permalink() . '" title="' . get_the_title() . '">' . get_the_title() . '</a></h2>';
	echo '<span class="post-date"><i class="fa fa-clock-o"></i>';
	echo '<time datetime="' . get_the_time('c',$post->ID) . '">';
	echo the_time('F j, Y');
	echo '</time>';
	echo '</span>';
	echo '<p>';
	echo mp_custom_excerpt('15','ادامه مطلب');
	echo '</p>';
	echo '</li>';
	endwhile; wp_reset_query();// Very important to reset the query here.
	echo "\n";
	echo '</ul></aside>';
	echo "\n";
    
?>
<?php }

	function update($new_instance, $old_instance) {
	// processes widget options to be saved

	return $new_instance;
	}
	function form($instance) {
		// outputs the options form on admin
		$featcattitle = isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';
		$featcategory = isset( $instance['category'] ) ? esc_attr( $instance['category'] ) : '';
		$featposts = isset( $instance['number'] ) ? absint( $instance['number'] ) : 5;
 
        // Get the existing categories and build a simple select dropdown for the user.
		$categories = get_categories();
		$cat_options = array();
		$cat_options[] = '<option value="BLANK">Select one...</option>';

		foreach ($categories as $cat) {
			$selected = $featcategory === $cat->cat_ID ? ' selected="selected"' : '';
			$cat_options[] = '<option value="' . $cat->cat_ID .'"' . $selected . '>' . $cat->name . '</option>';
		}
?>

<p style="display:none;">
<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', TEMPLATE_DOMAIN); ?>
<input id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" class="widefat" value="<?php echo get_cat_name($featcategory); ?>" /></label>
</p>

<p>
<label for="<?php echo $this->get_field_id('category'); ?>"><?php _e('Category:', TEMPLATE_DOMAIN); ?></label>
<select id="<?php echo $this->get_field_id('category'); ?>" class="widefat" name="<?php echo $this->get_field_name('category'); ?>"><?php echo implode('', $cat_options); ?></select>
</p>
            
<p>
<label for="<?php echo $this->get_field_id('number'); ?>"><?php _e('Number of posts to show:', TEMPLATE_DOMAIN); ?>
<input id="<?php echo $this->get_field_id('number'); ?>" name="<?php echo $this->get_field_name('number'); ?>" type="text" class="widefat" value="<?php echo $featposts; ?>" /></label>
</p>            

		<?php
	}
}
 // register widget
register_widget('MP_FeatSidebar_Widget');
?>